/*
	Ninja Library
	
	COPYRIGHT (C) SEGA ENTERPRISES,LTD.

	Create 2000.03.01

*/
#include <Ninja.h>
#include <Njutil.h>

Sint32 nuLoadTextureLN(NJS_TEXLIST *texlist,Uint32 n);

/****************************************************************/
/*  関数名：nuLoadTextureSetG						            */
/*  機  能：グローバルインデックスを付けながらロードする        */
/*  入  力：NJS_TEXLIST *texlist		                        */
/*  出  力：なし						                        */
/*  戻り値：成功　１　失敗　−１								*/
/*  概　要：                                                    */
/*  備　考：テクスチャのグローバルインデックスを無視して		*/
/*			userglobalIndexから付けていく                       */
/*                                                              */
/****************************************************************/
Sint32 nuLoadTextureSetG(NJS_TEXLIST *texlist)
{
	Int i;
	Sint32 ret;
	
	for(i = 0;i < texlist->nbTexture;i++){
		texlist->textures[i].attr |= NJD_TEXATTR_GLOBALINDEX;
		texlist->textures[i].texaddr = _nj_user_globalIndex--;
		ret = nuLoadTextureLN(texlist,i);
		texlist->textures[i].attr &= ~NJD_TEXATTR_GLOBALINDEX;
		if(ret < 0){
			return -1;
		}
	}
}
